Bug 134942 - ethereal build fails, if glib-devel is not installed
ethereal build fails, if glib-devel is not installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ethereal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 09:46 EDT by Maxim Dziumanenko
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 05:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2004-10-07 09:46:19 EDT
Description of problem:

If glib-devel is not installed, ethereal rebuild fails with error message:
+ automake --add-missing
+ autoconf
configure.in:339: error: possibly undefined macro: AM_PATH_GTK
      If this token and others are legitimate, please use
m4_pattern_allow.
      See the Autoconf documentation.
configure.in:362: error: possibly undefined macro: AM_PATH_GLIB
error: Bad exit status from /var/tmp/rpm-tmp.37766 (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.37766 (%prep)


Although ethereal is built with gtk2, and should not require
glib-devel nor gtk+-devel

Version-Release number of selected component (if applicable):
ethereal-0.10.6-2

How reproducible:
Always

Steps to Reproduce:
1.rpm -e glib-
2.rpmbuild -ba gnuplot-4.0.0-3
3.Wait for build error
  
Actual results:


Expected results:


Additional info:
Comment 1 Radek Vokal 2004-10-08 05:28:10 EDT
Fixed in ethereal-0.10.6-3

Note You need to log in before you can comment on or make changes to this bug.